Subject: Re: [Bugme-new] [Bug 9816] New: cannot replace route

From: Jarek Poplawski <[email-masked]>
Date: Sun, 27 Jan 2008 12:14:15 +0100

On Sun, Jan 27, 2008 at 11:49:06AM +0200, Julian Anastasov wrote:
...
> 	No, simply the last change in 2.6.24 is wrong to assume 
> duplication is evident in fib_info reference counter. And such check
> is only on ip route replace/change. I'm appending brief FIB information
> for your reference:

Thank you very much! I've just planned to look more at this code today,
and maybe try to find how your new patch copes with this problem, so
this description should be really helpful!

But, since we agree now it's a bug and regression in 2.6.24, it seems
this should be fixed as soon as possible, and since your patch isn't
probably tested enough for stable, it looks like safe bet to revert
Joonwoo's patch, at least until this all is more verified.

Regards,
Jarek P.